main {
  padding-top: 10rem;
}

.breadcrumb {
  display: flex;
  flex-wrap: nowrap;
  margin-top: 0;
  overflow: hidden;
  white-space: nowrap;
}

.breadcrumb__item:last-child {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.columns__post {
  background: linear-gradient(
    to bottom,
    var(--colorWhite) 0%,
    var(--colorWhite) calc(var(--columnsPostHead-height) + 5rem),
    var(--colorGray100) calc(var(--columnsPostHead-height) + 5rem),
    var(--colorGray100) 100%
  );
  margin-top: 5rem;
  padding-bottom: 9.5rem;
  position: relative;
}

.columns__category {
  background: var(--colorRed);
  border-radius: 0.25rem;
  color: var(--colorWhite);
  font-size: 0.875rem;
  font-weight: 700;
  padding: 0.125rem 0.5rem 0.25rem 0.5rem;
  width: fit-content;
}

.columns__detail {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  gap: 1rem 2rem;
  margin-top: 1.5rem;
}

.columns__date {
  color: var(--colorGray900);
  font-family: var(--familyFigtree);
  font-size: 1rem;
}

.columns__catColumn {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem 1rem;
}

.columns__catItem {
  color: var(--colorGray750);
  font-size: 0.875rem;
  transition: 0.3s;
}

.columns__catItem--company {
  font-weight: 700;
}

@media (hover: hover) {
  .columns__catItem:hover {
    color: #e01d11;
    cursor: pointer;
  }
}

.columns__thumbnail {
  margin-block: 2.5rem 5rem;
  position: relative;
}

.columns__thumbnail img {
  border-radius: 1rem;
  width: 100%;
}

.columns__post h1 {
  font-size: 2.375rem;
  font-weight: 700;
  margin-top: 0.5rem;
}

@media screen and (max-width: 767px) {
  main {
    padding-top: clamp(
      7rem * var(--sp-scale-min),
      calc(112 * 100vw / 390),
      7rem * var(--sp-scale-max)
    );
  }

  .columns__post {
    margin-top: var(--size66);
    padding-bottom: var(--size96);
  }

  .columns__post h1 {
    font-size: var(--size32);
  }

  .columns__thumbnail img {
    border-radius: var(--size8);
  }

  .columns__detail {
    display: grid;
    gap: var(--size8);
  }

  .columns__date {
    font-size: var(--size16);
  }

  .columns__catItem {
    font-size: var(--size14);
  }

  .columns__thumbnail {
    margin-block: var(--size24) var(--size40);
  }

  .column-single__contents {
    padding-top: var(--size24);
  }

  .column-single__contents ol {
    padding-left: 0;
  }
}

/* 目次 */
#ez-toc-container {
  border-radius: 1rem;
  padding: 0;
  width: 100%;
}

.ez-toc-title-container {
  background: var(--colorGray900);
  border-radius: 1rem 1rem 0 0;
  padding: 0.75rem 1.5rem;
}

#ez-toc-container a.ez-toc-toggle {
  margin: 0;
  padding: 0;
  width: 4.63rem;
}

.ez-toc-btn {
  position: relative;
}

#ez-toc-container .ez-toc-js-icon-con,
#ez-toc-container .ez-toc-toggle label {
  border: none;
}

.ez-toc-btn::before {
  color: var(--colorWhite);
  content: "閉じる";
  font-size: 0.875rem;
  left: 0;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

#ez-toc-container.toc_close .ez-toc-btn::before {
  content: "開く";
}

.ez-toc-btn::after {
  background-image: url(../../images/column/icon-minus.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
  height: 1.5rem;
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 1.5rem;
}

#ez-toc-container.toc_close .ez-toc-btn::after {
  background-image: url(../../images/column/icon-plus.svg);
}

.ez-toc-btn svg {
  display: none;
}

#ez-toc-container ul {
  display: grid;
  gap: 0.5rem;
  margin-top: 0.5rem;
}

#ez-toc-container ul.ez-toc-list-level-1 {
  gap: 1rem;
  margin-top: 0;
  padding: 2rem;
}

.ez-toc-counter .ez-toc-list li::before {
  content: none;
}

.ez-toc-counter nav ul li a::before {
  content: none;
}

.ez-toc-counter nav ul li,
#ez-toc-container li {
  padding-left: 1.5rem;
  position: relative;
}

.ez-toc-counter nav ul li::after {
  background: none;
  color: var(--colorRed);
  content: counters(item, ".", decimal);
  counter-increment: item;
  display: inline-block;
  left: 0.2rem;
  position: absolute;
  top: 0.1rem;
}

#ez-toc-container .ez-toc-link {
  line-height: 1.8;
  text-decoration: underline;
}

@media screen and (max-width: 767px) {
  #ez-toc-container {
    border-radius: var(--size8);
  }

  .ez-toc-title-container {
    border-radius: var(--size8) var(--size8) 0 0;
    padding: var(--size12) var(--size16);
  }

  #ez-toc-container ul.ez-toc-list-level-1 {
    gap: 0.75rem;
    margin-left: 0;
    padding: var(--size16);
  }

  #ez-toc-container ul ul {
    margin-left: var(--size16);
  }

  .columns__post h2 {
    font-size: var(--size24);
    padding-left: var(--size16);
  }

  .columns__post h3 {
    font-size: clamp(
      1.3rem * var(--sp-scale-min),
      calc(20.8 * 100vw / 390),
      1.3rem * var(--sp-scale-max)
    );
  }

  .columns__post h4 {
    font-size: clamp(
      1.2rem * var(--sp-scale-min),
      calc(19.2 * 100vw / 390),
      1.2rem * var(--sp-scale-max)
    );
  }
}

/* recommend */
.recommend {
  padding-block: 9.5rem;
}

.recommendHead {
  align-items: flex-end;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.recommendBody {
  margin-top: 3rem;
}

.recommendItem__category {
  border-bottom: 1px solid var(--colorGray350);
  padding-bottom: 2.5rem;
}

.recommendItem__business {
  border-bottom: 1px solid var(--colorGray350);
  padding-block: 2.5rem;
}

.recommendItem__company {
  padding-top: 2.5rem;
}

.recommendItem__title {
  font-size: 1.75rem;
  font-weight: 700;
  letter-spacing: 0.105rem;
}

.archiveColumn__list {
  grid-template-columns: repeat(3, 1fr);
}

@media screen and (max-width: 767px) {
  .recommend {
    padding-block: var(--size96);
  }

  .recommendHead {
    gap: var(--size24);
  }

  .recommendBody {
    margin-top: var(--size48);
  }

  .columnCat__swiper,
  .columnCompany__swiper {
    overflow: visible;
  }

  .archiveColumn__list {
    gap: 0;
  }

  .recommendItem__title {
    font-size: var(--size24);
    letter-spacing: 0.015em;
  }

  .recommendItem__category {
    padding-bottom: var(--size40);
  }

  .recommendItem__business {
    padding-block: var(--size40);
  }

  .recommendItem__company {
    padding-top: var(--size40);
  }

  .archiveColumn__company {
    margin-top: var(--size24);
  }
}
